include("finalcode_1133.jl")

@polyvar x y

# Define four boundary curves.

f1 = 1/4*x + 1/10*y - 1/7
f2 = 1/9*x - 1/11*y - 1/3
f3 = (y-1/4)^2 - (x+1/9)^2*(x+1/9+1)
f4 = (y-1)^2 - (x+2)^2*(x+2+1)
T = [1 3;-2 4]
f4 = subs(f4, [x;y]=>T*[x;y])

# Find all pairwise intersections of the boundary curves.

R41 = solve([f1;f4])
cert41 = certify([f1;f4],R41)
v41 = solutions(R41)[1]
R12 = solve([f1;f2])
cert12 = certify([f1;f2],R12)
v12 = solutions(R12)[1]
R24 = solve([f4;f2])
cert24 = certify([f4;f2],R24)
R23 = solve([f2;f3])
cert23 = certify([f2;f3],R23)
v23 = solutions(R23)[1]
R34 = solve([f4;f3])
cert34 = certify([f4;f3],R34)
v34 = solutions(R34)[1]

# Collect the vertices of the polypol in vv and the subset of residual points in ss.

ss = [solutions(R34)[2:5]]
ss = [[[-1/9,1/4]];[T*[-2;1]];ss...]
vv = [[v12];[v23];[v34];[v41]]

# Generate the polynomial system from the proof of Theorem 4.2.

bigsys = getSystem_1133()

# Generate a solution to this system corresponding to the polypol defined above.

uu13, uu14, uu23, uu24, uu34, αα, ββ1, ββ2, γγ3, γγ4, ff1, ff2, ff3, ff4 = getAdj_1133(vv,ss)
point = [hcat(ss[1:2]...)[:]; hcat(uu13...)[:]; hcat(uu14...)[:]; hcat(uu23...)[:]; hcat(uu24...)[:]; hcat(uu34...)[:]; hcat(vv...)[:]; ββ1; ββ2; γγ3; γγ4]

# Certify that this is a regular, isolated solution.

cert2222 = certify(bigsys,point,αα) # This proves that we found an isolated solution
