include("finalcode_2222.jl")

@polyvar x y

# Define four boundary curves.

f1 = ((x-8)/2)^2 + ((y-16)/4)^2 - 1
f2 = ((x-4)/2)^2 + ((y-2)/19)^2 - 1
f3 = ((x-7)/16)^2 + ((y-6)/8)^2 - 1
f4 = ((x-2)/1)^2 + ((y-9)/17)^2 - 1

# Find all pairwise intersections of the boundary curves.

R41 = solve([f1;f4])
cert41 = certify([f1;f4],R41)
v41 = solutions(R41)[1]
R12 = solve([f1;f2])
cert12 = certify([f1;f2],R12)
v12 = solutions(R12)[1]
R23 = solve([f2;f3])
cert23 = certify([f2;f3],R23)
v23 = solutions(R23)[1]
R34 = solve([f4;f3])
cert34 = certify([f4;f3],R34)
v34 = solutions(R34)[1]

# Collect the vertices of the polypol in vv and the subset of residual points in aa, bb.

aa = solutions(R12)[2:end]
bb = solutions(R34)[2:end]
vv = [[v41];[v12];[v34];[v23]]

# Generate the polynomial system from the proof of Theorem 4.2.

bigsys = getSystem_2222()

# Generate a solution to this system corresponding to the polypol defined above.
uu, ww, zz, yy, αα, ββ, γγ, δδ, εε, f1, f2, f3, f4, x = getAdj_2222(vv,aa,bb)
point = [hcat(aa...)[:]; hcat(bb...)[:]; hcat(uu...)[:]; hcat(vv...)[:]; hcat(ww...)[:]; hcat(yy...)[:]; hcat(zz...)[:]; ββ; γγ; δδ; εε]

# Certify that this is a regular, isolated solution.

cert2222 = certify(bigsys,point,αα) # This proves that we found an isolated solution
